View Issue Details

IDProjectCategoryView StatusLast Update
0000371Comica 2[All Projects] User Interfacepublic2019-05-10 08:48
ReporterBootBlockAssigned ToBootBlock 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version1.23 
Target Version1.23Fixed in Version 
Summary0000371: Add a Debug page to the Web Browser tab
Description

Add an internal page that displays various pieces of information on Comica and its internal state.

Currently, entering Comica:debug within the URL bar will display the page.

TagsUI

Activities

BootBlock

2019-05-09 23:02

administrator   ~0000090

Needs a bit more information adding but this is essentially complete.

Also added a Debug entry to the About menu which contains a Debug... Information menu item to display the (built-in) web-browser that automatically displays the debug information.

BootBlock

2019-05-10 08:47

administrator   ~0000091

Last edited: 2019-05-10 08:48

View 2 revisions

Maybe the Comica distribution could ship with a default debug_info.html file but Comica tries to view an equivalent file on the Comica server if an internet connection is available. This'll allow me to update the design of the page to make it look nicer without having to wait until a Comica release.

Although... I don't know if people would think Comica is "up to something" if it connects out to grab the updated display page. Comica is literally just displaying a page in a web browser control (see 0000272), so nothing nefarious is going on. Er, not that there would be anyway!

Issue History

Date Modified Username Field Change
2019-05-08 09:37 BootBlock New Issue
2019-05-08 09:37 BootBlock Assigned To => BootBlock
2019-05-08 09:37 BootBlock Tag Attached: UI
2019-05-09 23:02 BootBlock Status new => resolved
2019-05-09 23:02 BootBlock Resolution open => fixed
2019-05-09 23:02 BootBlock Note Added: 0000090
2019-05-09 23:02 BootBlock Status resolved => closed
2019-05-09 23:06 BootBlock Description Updated View Revisions
2019-05-10 08:47 BootBlock Note Added: 0000091
2019-05-10 08:48 BootBlock Note Edited: 0000091 View Revisions